Get Smart Charging
curl --request GET \
--url https://app.plugchoice.com/api/v3/sites/{site}/smart-charging \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/smart-charging"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/smart-charging', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"timezone": "<string>",
"smart_charging": "<string>",
"day_ahead_pricing_strategy": "<string>",
"day_ahead_pricing_threshold": 123,
"day_ahead_pricing_smart_mode_price": 123,
"off_peak_start": "<string>",
"off_peak_end": "<string>",
"tariff_zone": "<string>",
"tariff_zone_options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
}Power Management
Get Smart Charging
GET
/
v3
/
sites
/
{site}
/
smart-charging
Get Smart Charging
Returns the smart charging configuration for the specified location.
string
required
The UUID of the location.
Response
object
The smart charging configuration.
Show data
Show data
string
The location’s configured timezone.
string
The smart charging mode. One of
disabled, off_peak, or day_ahead_pricing.string
The day-ahead pricing strategy. One of
automatic or manual.integer
The day-ahead pricing threshold.
number
The calculated smart mode price for day-ahead pricing.
string
The off-peak start time in
HH:mm format.string
The off-peak end time in
HH:mm format.string
The selected tariff zone key for zonal day-ahead-pricing markets, or
null. For example, GB_C for the London region.⌘I